###### ------------------- zobrazení feature signálů DP -----------------

### importy
import numpy as np
import torch
import torch.nn as nn
import torch.nn.functional as F
import torch.optim as optim
from torch.utils.data import Dataset, DataLoader
import random
import json
import os
import sys
import wfdb
import matplotlib.pyplot as plt
from scipy import signal
from scipy.fft import rfft, rfftfreq
from config import Config

def plot_heat_maps(heat_maps, test_df, heat_map_ind):

    for i in heat_map_ind:

        name_of_fsig = test_df.names[i]

        plt.figure()
        plt.imshow(heat_maps[i], cmap='plasma')
        plt.colorbar()
        plt.title(f"Heat mapa {i} - {name_of_fsig}")
        plt.show()
